* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  text-decoration: none;
}

/*Light mode*/
/*Desktop view*/
:root {
  --text-color: #0a0101;
  --primary-bg: #f5f5f5;
  --secondary-bg: #cd3c3c;
  --font-family-1: "Poppins", "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  --font-family-2: Cochin, Georgia, Times, "Times New Roman", serif;
}

html {
  color-scheme: light dark;
  forced-color-adjust: none;
}

body {
  line-height: 1.5;
  color: var(--text-color);
  font-family: var(--font-family-1);
  background: #f5f5f5;
  text-align: left;
}

/* Pop-up screen */
aside {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  backdrop-filter: blur(6px);
  z-index: 3;
  overflow-y: scroll;
  overflow-x: hidden;
  padding: 20vh 0;
  margin-top: 6em;
  cursor: pointer;
}

aside .content {
  width: 80vw;
  max-width: 600px;
  height: max-content;
  background: linear-gradient(145deg, #f0f0f0, #e0e0e0);
  border-radius: 20px;
  position: relative;
  padding: 2rem 2.5rem;
  margin: 0 auto;
  cursor: default;
}

.imgbox {
  position: absolute;
  top: 3.5rem;
  right: 3.5rem;
  width: 12em;
  max-width: 100%;
  overflow: hidden;
  border-radius: 50%;
  margin-top: 2rem;
}

.imgbox img {
  width: 100%;
  height: auto;
  border-radius: 50%;
  object-fit: cover;
}

.imgbox small {
  font-size: 1.1rem;
}

.txt h2 {
  font-size: 1.9rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

.content .p1 {
  width: 65%;
}

.content .p2 {
  width: 95%;
}

.p p {
  font-family: var(--font-family-1);
  font-size: 1.4rem;
  font-weight: 550;
  text-indent: 1.3rem;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
  position: fixed;
  top: 1rem;
  right: 1.5rem;
  left: 1.5rem;
  /* border: 0.2px #420042 solid; */
  border-radius: 30px;
  backdrop-filter: blur(7px);
  z-index: 4;
}

.leftside i {
  display: none;
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.logo img {
  width: 5rem;
  border-radius: 50%;
}

.logo h1 {
  color: var(--text-color);
  font-size: 3rem;
  font-weight: 700;
}

.shtlinks {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.7rem;
}

.shtlinks a {
  letter-spacing: 1px;
  font-size: 1.2rem;
  font-weight: 550;
  font-family: var(--font-family-1);
  color: #420042;
}

.shtlinks a:hover {
  border-bottom: 2px #6a3338 solid;
  opacity: 0.85;
}

.subsection {
  display: none;
  color: #420042;
  flex-direction: column;
  position: absolute;
  top: 3.4rem;
  right: inherit;
  background: #f5f5f5;
  padding: 0.7rem 1.6rem;
  border-radius: 9px;
  box-shadow: 2px 2px 8px #42004250;
  margin-top: 0.5rem;
  gap: 0.6rem;
}

nav button {
  color: #420042;
  font-size: 1.6rem;
  font-weight: 700;
  outline: none;
  border: 1.2px #420042 solid;
  background: linear-gradient(to bottom, #ffffff, #f5f5f5, #add8e6);
  border-radius: 20px;
  padding: 6px 12px;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
}

nav button:hover {
  border: none;
  color: #ffffff;
  background: linear-gradient(
    145deg,
    hsl(0, 59%, 41%),
    var(--secondary-bg) 50%,
    darkgoldenrod
  );
  padding: 8px 14px;
}

#menu {
  display: none;
}

header {
  padding: 17rem 0 5rem;
  background: linear-gradient(
    to bottom,
    var(--primary-bg),
    var(--secondary-bg)
  );
}

.header-text {
  max-width: 78vw;
  margin: 1rem 0rem 0rem 3rem;
}

.header-text h1 {
  font-size: 3.2rem;
  letter-spacing: 0.5px;
  font-weight: 720;
}

.header-text p {
  font-family: var(--font-family-1);
  font-size: 1.4rem;
  font-weight: 550;
  text-indent: 1.3rem;
}

.header-text h3 {
  font-size: 1.5rem;
  font-family: var(--font-family-1);
  margin: 1.5rem 0 0 0.1rem;
  font-weight: 600;
  text-indent: 0.4rem;
}

.header-text .cta-group {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 3rem;
}

.header-text button {
  width: 9em;
  height: 3.5rem;
  color: var(--primary-bg);
  padding: 10px 10px;
  margin-top: 2rem;
  font-weight: bold;
  font-size: 1.5rem;
  cursor: pointer;
  transition: all 0.4s ease-in-out;
  outline: none;
  border-radius: 9px;
  border: none;
  background: brown;
  box-shadow: 6px 6px 5px 1px #212529;
}

.header-text button:hover {
  transform: translate(6px, 6px);
  box-shadow: 5px 5px 5px 1px #21252900;
}

.header-text button:active {
  border: 2px brown solid;
  background: transparent;
  color: brown;
}

.header-text .second-cta {
  background: transparent;
  border: 1.5px var(--primary-bg) solid;
  color: var(--primary-bg);
  box-shadow: none;
}

.header-text .second-cta:hover {
  transform: none;
}

main {
  background: linear-gradient(to bottom, #cd3c3c, #f5f5f5 40%);
}

.main-wrapper h2 {
  font-size: 2.1rem;
  font-weight: 700;
  margin-bottom: 1.5rem;
}

.main-wrapper p {
  font-family: var(--font-family-1);
  font-size: 1.5rem;
  font-weight: 550;
  text-indent: 1rem;
} 

/*.big-section1 {
  display: flex;
}

.big-section1 img {
  width: 40vw;
} */

.section1 {
  /* border: 2px black dashed; */
  width: 62vw;
  padding: 6rem 0 0 4.4rem;
}

.section2 {
  width: 62vw;
  margin-top: 7rem;
  margin-right: 3rem;
  margin-left: auto;
}

.section2 h2,
.section2 p {
  text-align: right;
}

.section2 a {
  color: blueviolet;
}

.section2 a:hover {
  text-decoration: underline;
}

.section3 {
  margin-top: 7rem;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  gap: 5rem;
  margin-left: 2.5rem;
  position: relative;
}

.section3 h2 {
  width: 30vw;
}

.btn {
  position: absolute;
  top: 50%;
  border-radius: 50%;
  border: 2px #cd3c3c solid;
  outline: none;
  background: transparent;
  padding: 3px 3px 0;
  color: #cd3c3c;
  cursor: pointer;
  z-index: 2;
  transition: all 0.35s ease-in-out;
}

.btn:hover {
  background: #cd3c3c;
  border: none;
  color: #f5f5f5;
}

.btn-left {
  left: 30vw;
}

.btn-right {
  right: 1rem;
}

.section3 .cards {
  display: flex;
  justify-content: flex-start;
  gap: 5rem;
  overflow-x: scroll;
  flex-wrap: nowrap;
  width: 60vw;
  margin: 0 3rem;
  padding: 0;
  scrollbar-width: none;
  scroll-behavior: smooth;
}

.cards::-webkit-scrollbar {
  display: none;
}

.blob {
  display: none;
}

.section3 .card {
  min-width: 30vw;
  padding: 1.5rem 1rem;
  border-radius: 11px;
  /* border: 1px #ff00ff solid; */
  background: linear-gradient(145deg, cyan 40%, #ff99ff);
}

.section3 .card h3 {
  font-size: 2rem;
  font-family: var(--font-family-2);
}

.section3 .card p {
  font-weight: 500;
  margin-top: 1rem;
}

.section3 .last {
  background: transparent;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.section3 .last button {
  background: transparent;
  border: 2px #420042 solid;
  color: #420042;
  padding: 1rem 1.4rem;
  border-radius: 11px;
  font-size: 1.5rem;
  font-weight: 600;
  cursor: pointer;
}

.section3 .last button:hover {
  background: #420042;
  color: #f5f5f5;
}

.section4 {
  margin: 7rem 5rem;
}

.section4 h2 {
  text-align: center;
}

.section4 li {
  font-size: 1.6rem;
}

footer {
  color: #ffffff;
  background: linear-gradient(
    to bottom,
    var(--primary-bg),
    hsl(0, 59%, 36%) 85%
  );
  padding: 10rem 5rem 2rem;
}

.links {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

footer h4 {
  color: inherit;
  font-size: 1.3rem;
  font-weight: 700;
  margin-bottom: 1.8rem;
}

footer a {
  color: inherit;
  opacity: 0.85;
  font-size: 1rem;
  font-weight: 550;
}

footer a:hover {
  text-decoration: underline;
}

footer .sect {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

footer p {
  font-size: 1.6rem;
  margin-top: 1.5rem;
  text-align: center;
}

.socials {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1.5rem;
}

.socials i {
  font-size: 1.7rem;
  color: var(--primary-bg);
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  border: 2.5px var(--primary-bg) solid;
  border-radius: 7px;
  padding: 5px 8px;
}

/* Styles for darkmode */
/* @media (prefers-color-scheme: dark) {
  body {
    background: #1a1a1a;
  }
} */

/* Mobile / Tablet Version */
@media (max-width: 1210px) {
  /* Pop-up */
  :root {
    --font-size-p: 1.3rem;
    --font-weight: 400;
  }

  aside {
    display: none;
    padding: 10vh 0;
  }

  aside .content {
    width: 90vw;
    max-width: 500px;
    padding: 1.5rem 2rem;
    /* border-radius: 15px; */
  }

  .imgbox {
    width: 7.5em;
    top: 2rem;
    right: 2rem;
    background: 0;
  }

  .imgbox img {
    width: 100%;
    height: auto;
    object-fit: cover;
  }

  .txt h2 {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 1rem;
  }

  .content .p1 {
    width: 65%;
  }
  
  .p2 {
    width: 95%;
  }

  .p p {
    font-family: var(--font-family-1);
    font-size: 1.1rem;
    font-weight: 400;
    text-indent: 1.1rem;
  }

  nav {
    top: 2rem;
    left: 0.5rem;
    right: 0.5rem;
    padding: 1rem 0.5rem;
    border: 1px #fff solid;
  }

  .leftside {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0.5rem;
  }

  .leftside i {
    display: inline;
    font-size: 22px;
    background: #00000030;
    border: none;
    border-radius: 50%;
    padding: 7px 8px;
    transition: all 0.3s ease-in-out;
  }

  .leftside i:active {
    background: #00000050;
  }

  nav button {
    border: 1px #fff solid;
  }

  nav button span:nth-child(1) {
    display: none;
  }

  nav button span:nth-child(2) {
    display: inline;
  }

  .logo img {
    width: 2.5rem;
  }

  .logo h1 {
    font-size: 1.5rem;
  }

  .shtlinks {
    display: none;
  }

  nav button {
    font-weight: 600;
    font-size: 1.3rem;
  }

  #menu {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    backdrop-filter: blur(7px);
    z-index: 4;
    padding: 0;
  }

  #content {
    border: 1px #fff solid;
    border-radius: 11px;
    width: 98vw;
    height: 85vh;
    overflow-y: scroll;
    background: linear-gradient(45deg, #87ceeb, var(--primary-bg));
    padding-right: 3.5rem;
    position: relative;
  }

  #content p {
    position: absolute;
    top: 0rem;
    right: 2rem;
    font-size: 3rem;
    font-weight: 600;
    width: 4rem;
    padding-left: 1rem;
    color: var(--secondary-bg);
  }

  .top-ul {
    margin-top: 7rem;
  }

  #menu ul {
    margin-left: 1.9rem;
    list-style: none;
  }

  #menu ul ul {
    display: none;
    margin-left: 1rem;
  }

  #menu a li {
    background: hsl(0, 59%, 80%);
  }

  #menu li {
    color: var(--text-color);
    font-weight: 550;
    font-size: 1.4rem;
    padding: 7px 7px 3px;
    background: hsl(0, 59%, 90%);
    border-radius: 11px;
    margin-top: 0.3rem;
    border-bottom: 1.7px #cd3c3c solid;
  }

  .caret {
    display: inline-block;
    width: 0;
    height: 0;
  }

  .caret-up {
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-bottom: 9px solid #420042;
  }

  .caret-down {
    border-left: 9px solid transparent;
    border-right: 9px solid transparent;
    border-top: 9px solid #420042;
  }

  header {
    padding: 12rem 0 1rem;
  }

  .header-text {
    margin: 1rem 1rem 0rem 1.4rem;
    max-width: 100%;
  }

  .header-text h1 {
    font-size: 2.5rem;
    font-weight: 700;
  }

  .header-text p {
    font-size: 1.3rem;
    font-weight: 500;
    text-indent: 0;
  }

  .header-text h3 {
    font-size: 1.3rem;
  }

  .cta-group {
    flex-direction: column;
    gap: 2rem;
    margin-top: 2rem;
  }

  .header-text button {
    font-size: 1.3rem;
    margin-top: 1rem;
  }

  .main-wrapper h2 {
    font-size: 1.8rem;
    font-weight: 600;
    margin-bottom: 1rem;
  }

  .main-wrapper p {
    font-size: 1.2rem;
    text-indent: 0;
    font-weight: 400;
  }

  .section1 {
    padding: 5rem 0 0 1.6rem;
    width: 90vw;
  }

  .section2 {
    width: 90vw;
    padding: 5rem 0 0 1.6rem;
    margin: 0;
  }

  .section2 h2,
  .section2 p {
    text-align: left;
  }

  .section3 {
    flex-direction: column;
    margin-left: 0;
    gap: 5rem;
  }

  .section3 h2 {
    width: 85%;
    margin-left: 7vw;
  }

  .btn-group {
    display: inline;
  }

  .btn-left {
    left: 1rem;
  }

  .section3 .cards {
    gap: 2rem;
    width: 97%;
    margin: 0;
    padding: 0;
    justify-content: flex-start;
  }

  .section3 .card {
    min-width: 70vw;
  }

  /* .card-1 {
    margin-left: 40em;
  } */

  .section3 .card h3 {
    font-size: 1.5rem;
    font-family: var(--font-family-2);
  }

  .section3 .card p {
    font-weight: 400;
    margin-top: 1rem;
    font-size: 1.3rem;
  }

  .section4 {
    margin: 4rem 1.5rem;
  }

  .section4 h2 {
    width: 100%;
  }

  ol {
    margin-left: 2rem;
  }

  .section4 li {
    font-size: 1.2rem;
  }

  footer {
    padding: 8rem 1rem 1rem;
  }

  .links {
    overflow-x: hidden;
    flex-wrap: wrap;
  }

  .sect {
    margin-bottom: 2rem;
  }

  /* .sect:nth-child(5) h4 {
    display: none;
  } */

  .socials {
    gap: 1.2rem;
  }

  .socials i {
    font-size: 22px;
  }

  footer h4 {
    margin-bottom: 1rem;
  }

  footer p {
    font-size: 1.3rem;
  }

  footer p strong {
    font-weight: 500;
  }
}
